Bug 175540 - kernel module "tveeprom" - Encountered bad packet header
kernel module "tveeprom" - Encountered bad packet header
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
athlon Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-12-12 10:30 EST by james
Modified: 2015-01-04 17:23 EST (History)
2 users (show)

See Also:
Fixed In Version: kernel-2.6.16-1.2133_FC5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-30 01:51:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description james 2005-12-12 10:30:27 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.10) Gecko/20050716 Firefox/1.0.6

Description of problem:
When loading module bt878, which loads bttv, which loads tveeprom, maybe 20% of the calls to tveeprom_hauppauge_analog() in tveeprom return:
 tveeprom 1-0050: Encountered bad packet header [64]. Corrupt or not a Hauppauge eeprom.

Unloading and reloading bt878 (usually - but sometimes fails again) returns:

 tveeprom 1-0050: Hauppauge model 61381, rev D133, serial# 1287377
 tveeprom 1-0050: tuner model is Temic 4039FR5 (idx 33, type 21)
 tveeprom 1-0050: TV standards NTSC(M) (eeprom 0x08)
 tveeprom 1-0050: audio processor is MSP3430 (idx 7)
 tveeprom 1-0050: has radio



 


Version-Release number of selected component (if applicable):
kernel-2.6.14-1.1644_FC4

How reproducible:
Sometimes

Steps to Reproduce:
1.modprobe bt878
2.
3.
  

Actual Results:  see description

Expected Results:  see description

Additional info:
Comment 1 Dave Jones 2006-02-03 01:29:18 EST
This is a mass-update to all currently open kernel bugs.

A new kernel update has been released (Version: 2.6.15-1.1830_FC4)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

Thank you.
Comment 2 james 2006-02-03 13:07:30 EST
Confirmed - this same problem exists in kernel 2.6.15, as above.
Comment 3 Dave Jones 2006-02-20 22:57:10 EST
I've pointed the upstream developer at this bug, hopefully he has some idea
whats happening here.
Comment 4 Dave Jones 2006-09-16 21:32:16 EDT
[This comment added as part of a mass-update to all open FC4 kernel bugs]

FC4 has now transitioned to the Fedora legacy project, which will continue to
release security related updates for the kernel.  As this bug is not security
related, it is unlikely to be fixed in an update for FC4, and has been migrated
to FC5.

Please retest with Fedora Core 5.

Thank you.
Comment 5 Dave Jones 2006-10-16 16:09:55 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 6 james 2006-10-30 01:51:50 EST
This seems to be fixed.

There is still an occasional log message:

 tveeprom 1-0050: Encountered bad packet header [64]. Corrupt or not a Hauppauge
eeprom.

but beggining around kernel version 2.6.16-1.2133_FC5, the error no longer
causes problems for the associated drivers.  The bttv0 driver selects the
correct tuner, and the card operates normally.

Maybe this was a problem with the bttv driver that has been fixed?  I don't
know, but everything works now.

Note You need to log in before you can comment on or make changes to this bug.